#include <qmainwindow.h>
#include <qmultilineedit.h>
#include <qtabwidget.h>
#include <qfile.h>
#include <qtextstream.h>
#include <qpe/qcopenvelope_qws.h>
#include <qstringlist.h>

#include "View.h"
#include "SendQ.h"


class QcopTest : public QMainWindow
{
	Q_OBJECT

public:
	QcopTest() ;
	~QcopTest() ;

private slots:
	void setDocument(const QString &s) ;
	void systemMessage(const QCString&, const QByteArray&);
	void taskBarMessage(const QCString&, const QByteArray&);
	void networkMessage(const QCString&, const QByteArray&);
	void cardMessage(const QCString&, const QByteArray&);
	void syncMessage(const QCString&, const QByteArray&);
	void userMessage(const QCString&, const QByteArray&);


private:
	QTabWidget* tabWidget;
	SendQ* sendQ;
	View* sysView;
	View* taskView;
	View* netView;
	View* cardView;
	View* syncView;
	View* userView;

	QFile sysFile;
	QFile taskFile;
	QFile netFile;
	QFile cardFile;
	QFile syncFile;
	QFile userFile;
	QTextStream sysSt;
	QTextStream taskSt;
	QTextStream netSt;
	QTextStream cardSt;
	QTextStream syncSt;
	QTextStream userSt;

	QString userChName;
	QCopChannel* userCh;
	QString pre;
	void processMessage(View* view, QTextStream* st , const QString& chName, const QCString&, const QByteArray&);
	void setUserChannel();
	QStringList ignore;
};
